Skip to main content
POST
/
extract
Start Extraction
curl --request POST \
  --url https://apigcp.trynia.ai/v2/extract \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "json_schema": {},
  "url": "<string>",
  "source_id": "<string>",
  "page_range": "<string>"
}
'
{
  "id": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "progress": 0,
  "url": "<string>",
  "source_display_name": "<string>",
  "page_range": "<string>",
  "records": [
    {}
  ],
  "record_count": 0,
  "page_count": 0,
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
json_schema
Json Schema · object
required
url
string | null
source_id
string | null
page_range
string | null

Response

Successful Response

id
string
required
status
string
required
created_at
string
required
updated_at
string
required
progress
integer
default:0
url
string | null
source_display_name
string | null
page_range
string | null
records
Records · object[]
record_count
integer
default:0
page_count
integer
default:0
error
string | null